PHY_START_INTERRUPTS(9)

NAME
phy_start_interrupts - request and enable interrupts for a PHY device

SYNOPSIS

int phy_start_interrupts(struct phy_device * phydev);

ARGUMENTS

phydev
    target phy_device struct

DESCRIPTION

Request the interrupt for the given PHY. If this fails, then we set irq to PHY_POLL. Otherwise, we enable the interrupts in the PHY. This should only be called with a valid IRQ number. Returns 0 on success or < 0 on error.

COPYRIGHT